#include <avr/io.h>
#include <util/delay.h>
#include "spi.h"
#include "ST7735R_TFT.h"
#include "game.h"

int main(void)
{
    DDRB &= ~(1 << PB2);
    PORTB |= (1 << PB2);

    DDRC &= ~(1 << PC6); 
    PORTC |= (1 << PC6); 

    // Init SPI for LCD.
    SPI_init();

    // Init LCD
    ST7735R_Begin();
    // Clear screen with BLACK.
    ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0);

    ST7735R_DrawText(ST7735R_WIDTH / 2 - 25, ST7735R_HEIGHT / 2 - 20,
                         "READY?", 255, 255, 255, 0, 0, 0);
    draw_the_huge_trophy();
    _delay_ms(1000);
    
    ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0);
    ST7735R_DrawText(ST7735R_WIDTH / 2 - 25, ST7735R_HEIGHT / 2 - 20,
                         "3...  ", 255, 255, 255, 0, 0, 0);
    draw_the_huge_trophy();
    _delay_ms(1000);


    ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0);
    ST7735R_DrawText(ST7735R_WIDTH / 2 - 25, ST7735R_HEIGHT / 2 - 20,
                         "2...  ", 255, 255, 255, 0, 0, 0);
    draw_the_huge_trophy();
    _delay_ms(1000);

    ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0);
    ST7735R_DrawText(ST7735R_WIDTH / 2 - 25, ST7735R_HEIGHT / 2 - 20,
                         "1...  ", 255, 255, 255, 0, 0, 0);
    draw_the_huge_trophy();
     _delay_ms(1000);
 

    ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0);
    ST7735R_DrawText(ST7735R_WIDTH / 2 - 25, ST7735R_HEIGHT / 2 - 20,
                         "START!", 255, 255, 255, 0, 0, 0);
    draw_the_huge_trophy();
    //_delay_ms(1000);
   
     ST7735R_FillRect(0, 0, ST7735R_WIDTH - 1, ST7735R_HEIGHT - 1, 0, 0, 0); 
   // _delay_ms(3000);
    
    GAME_init();
    _delay_ms(125);
    for(;;)
    {
	if ((PINB & (1 << PB2)) == 0)
		GAME_move_paddle(-1);

	if ((PINC & (1 << PC6)) == 0)
		GAME_move_paddle(1);
         GAME_loop();
         _delay_ms(12);       
    }

    return 0;
}
